commit 1429ff12d8dd7d36c4bdc3cb771d12748f16410a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 23 21:58:07 2014 -0400

    2.41.1

 NEWS         | 30 ++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 31 insertions(+), 1 deletion(-)

commit f1095de46f5f43edf494ea6adcabbe86685baadf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jun 23 15:01:28 2014 +0100

    gsocketlistener: Don’t explicitly close sockets on finalisation

    Instead of closing the sockets explicitly, let them close themselves
    when their final reference is dropped. This makes use of
    g_socket_listener_add_socket() more natural.

    https://bugzilla.gnome.org/show_bug.cgi?id=732107

 gio/gsocketlistener.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 00e733315de2c2588b0b5b95e02fcd29bb259cb1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jun 23 10:12:08 2014 +0100

    gsocket: Document that g_socket_create_source() holds a socket ref

    This is quite important, as it means you can safely let the GSocket
    drop
    out of scope while maintaining a reference to the GSource, and the
    socket will remain open. That means fewer closure structures, simpler
    code, and fewer allocations.

    https://bugzilla.gnome.org/show_bug.cgi?id=732081

 gio/gsocket.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 248ca727820923c28a39d2e0ee40db54c141adea
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jun 23 00:59:39 2014 +0100

    gsignal: Add an example to the g_signal_connect_swapped()
    documentation

    The precise behaviour of and motivation behind swapping parameters was
    not entirely clear before.

    https://bugzilla.gnome.org/show_bug.cgi?id=732068

 gobject/gsignal.h | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

commit 90025254fd0047d61fe5c1de84b905da842c43f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 20 20:54:47 2014 -0400

    Return folder as icon for directories

    'folder' is the name of the folder icon in the incon naming spec,
    and the Adwaita icon theme doesn't include an inode-directory icon.
    This fixes folders appearing as generic file in the file chooser.

    https://bugzilla.gnome.org/show_bug.cgi?id=731996

 gio/glocalfileinfo.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit d80adeaa960ddfa13837900d0391f9bd9c239f78
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 23:01:08 2014 +0100

    gtestdbus: Don’t close stdout for dbus-daemon

    The stdout FD passed to dbus-daemon is propagated to all its child
    processes, such as service activated processes. If we close the
    FD after
    reading the bus address from the daemon, any child process which
    subsequently writes to stdout (e.g. for logging) will get a SIGPIPE
    and
    explode.

    Instead of closing the stdout FD immediately after dbus-daemon has
    spawned, keep it open until the daemon is killed.

    https://bugzilla.gnome.org/show_bug.cgi?id=732019

 gio/gtestdbus.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit 0950369899ac04ebe0357d0b1ba834c4dab39219
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 12:29:09 2014 +0100

    gclosure: Remove an unused alloca() and assignment

    Coverity issue: #1159511

    https://bugzilla.gnome.org/show_bug.cgi?id=732005

 gobject/gclosure.c | 3 ---
 1 file changed, 3 deletions(-)

commit afea86a7ef4f73a6fffd2155f2ddf411bb6fd8c6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 12:28:54 2014 +0100

    goption: Remove an unused assignment

    Coverity issue: #1159514

    https://bugzilla.gnome.org/show_bug.cgi?id=732005

 glib/goption.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b8ae8f21b909102b4279900e90cb294cf542188
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 21 10:48:08 2014 +0100

    gwakeup: Clarify buffer sizing in g_wakeup_signal()

    The code in g_wakeup_signal() is currently correct: it writes a 64-bit
    counter increment value if the FD is an eventfd, and writes an
    arbitrary
    8-bit value if using a normal pipe.

    However, the reasoning behind these buffer sizes is not clear, and the
    mismatch between the allocated buffer size and the length passed to
    write() in the pipe case could be mistaken for a bug.

    Coverity issue: #1159490

    https://bugzilla.gnome.org/show_bug.cgi?id=732002

 glib/gwakeup.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit eb6da409fa904d99ec6c62718f366e3a70033881
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Jun 20 18:25:03 2014 +0100

    docs: Correct param to interface's default_init()

    https://bugzilla.gnome.org/show_bug.cgi?id=731979

 docs/reference/gobject/tut_howto.xml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d552a1f125eac718b988cdae654e36645c685343
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jun 20 16:44:08 2014 -0500

    docs: fix a broken sentence

 docs/reference/gobject/tut_gtype.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9362a1b2d987125a8aa0723b916d29aaaece329a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jun 20 14:43:26 2014 -0400

    configure.ac: fix check for futex and eventfd

    We were using AC_LANG_PROGRAM to build a program to test for our
    ability
    to call syscall (__NR_futex, ...);.  This macro adds "main () { ... }"
    around the provided code segment automatically.  The provided code
    segment provided its own main() function, however.

    The result looked something like:

    int main (void) {
      int main (void) {
        ...
      }
    }

    which worked on GCC, but not on clang.

    Let's fix that.  Let's fix the same mistake copied over for eventfd()
    detection while we're at it.

 configure.ac | 11 -----------
 1 file changed, 11 deletions(-)

commit bef557e55d8ab89b324ff2099b2621254aeb3929
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jun 20 14:38:45 2014 -0400

    gatomic: disable GCC extension atomics for clang

    clang defines the macro that we use to test for GCC's extension
    support
    for C11 atomics, but doesn't define the extension in the same way.
    Check for clang and disable the macros again if we find it.

    https://bugzilla.gnome.org/show_bug.cgi?id=731513

 glib/gatomic.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7991178a752a22274950e54dc4f05b55ae54d756
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 16 15:24:37 2014 -0400

    Try to make gobject.py work with both pythons

    This change was suggested on the fedora test list, and has been
    reported to work.

 gobject/gobject.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9f69534030f963183ac5398889630a641a71409b
Author: Erik van Pienbroek <epienbro@fedoraproject.org>
Date:   Sat Jun 14 17:10:17 2014 +0200

    Prevent an invalid @CARBON_LIBS@ from appearing in the .pc files

    Fixes static linking when using the glib pkgconfig file.
    Regression was introduced in commit 8d037c6 (bz #668152)

    https://bugzilla.gnome.org/show_bug.cgi?id=731657

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 94e13c71c5b722b4d236cc6b4c2a8d6a843aeadd
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Fri Jun 13 19:23:13 2014 +0100

    gio/tests/socket: fix minor memleak

 gio/tests/socket.c | 1 +
 1 file changed, 1 insertion(+)

commit 09498e52bbc71496cd1b99ad5c8781783a864881
Author: Colin Walters <walters@verbum.org>
Date:   Thu Jun 12 13:37:16 2014 -0400

    gparam: Remove unnecessary conditionals around preconditions

    These cause a static analyzer to think we're trying to actually handle
    them being NULL, which is not the case.  They both must not be NULL,
    period.

    No idea why the code was like this originally.

    Reviewed by mclasen on IRC.

 gobject/gparam.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit f7d7e5ab2f3f9421f9df5d76487f37d4bdc78088
Author: Colin Walters <walters@verbum.org>
Date:   Thu Jun 12 12:53:18 2014 -0400

    gbookmarkfile: Cleaner error handling code to pacify static analysis

    A static analyzer flagged the g_file_get_contents() call as not
    checking its return value.  While the code here is actually correct,
    it's verbose at best.

    I think the "goto out + cleanup" code style is substantially cleaner,
    less error prone, and easier to read.  It also will pacify the static
    analyzer.

    https://bugzilla.gnome.org/show_bug.cgi?id=731584

 glib/gbookmarkfile.c | 35 +++++++++--------------------------
 1 file changed, 9 insertions(+), 26 deletions(-)

commit fcdd25a96eb33c389f381cacce42e6d4f2912c5c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jun 6 14:35:55 2014 -0400

    gparam: change value of G_PARAM_EXPLICIT_NOTIFY

    GParamSpec has a possibility of user-introduced flags, and we didn't
    respect that with the addition of _EXPLICIT_NOTIFY.

    Change the documentation for the maximum number of user flags to 10,
    just to pick a somewhat random number.  The documentation here
    was never
    correct anyway -- it previously claimed that as many as 38 flags were
    possible.

    Meanwhile, move G_PARAM_EXPLICIT_NOTIFY next to _DEPRECATED in
    order to
    avoid conflicts with low-numbered user flags (which are in use by at
    least evolution-data-server).

    https://bugzilla.gnome.org/show_bug.cgi?id=731341

 gobject/gparam.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b413f7a285f597e4bcbb8866fcb22bea661fcdcd
Author: Daniel Macks <dmacks@netspace.org>
Date:   Mon Jun 9 15:17:19 2014 -0400

    gnextstepsettingsbackend: Use same token for function-call and
    its availability

    Availability of the g_nextstep_settings_backend_get_type() prototype
    is controlled by HAVE_COCOA in gsettingsbackendinternal.h and the
    actual implemenation by OS_COCOA in Makefile.am. Therefore, the
    giomodule.c call to that function should also be protected by a COCOA
    token rather than an CARBON token (cocoa and carbon are independent
    autoconf tests).

    https://bugzilla.gnome.org/show_bug.cgi?id=731425

 gio/giomodule.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93d0c632326064f3e72f0e88e3dc971bdfc74af0
Author: Daniel Macks <dmacks@netspace.org>
Date:   Tue Jun 10 06:00:33 2014 -0400

    assert-msg-test: Explicitly quit gdb session to avoid zombie

    gdb is run in batch mode, and can leave leave the program being
    executed/debugged running when the batchfile is finished. Explicitly
    "quit"ing the subprocess prevents it from leaving the stray subprocess
    when gdb finishes.

    https://bugzilla.gnome.org/show_bug.cgi?id=731366

 tests/assert-msg-test.gdb | 1 +
 1 file changed, 1 insertion(+)

commit 545b44444b365a4e3ba98ec71fab4f12293a229c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jun 6 16:51:40 2014 -0400

    gtype: remove interface-after-init exceptions

    A year ago, we tried to remove support for adding interfaces on
    already-initialised types.  There were problems with the C++ and C#
    bindings at the time, so we added exceptions to give them a bit more
    time to catch up.

    It's already one cycle after when these exceptions were planned to be
    removed, so let's take them out now.

    https://bugzilla.gnome.org/show_bug.cgi?id=697229

 gobject/gtype.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 91b9aef0c9988fcab6adb7be3af46953c1c558c9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 9 10:27:36 2014 +0800

    MSVC 2010+ Projects: Update "Installation" Process

    Currently, due to the way that Visual Studio 2010+ projects are
    handled,
    the "install" project does not re-build upon changes to the sources,
    as it
    does not believe that its dependencies have changed, although
    the changed
    sources are automatically recompiled.  This means that if a part
    or more
    of the solution does not build, or if the sources need some other
    fixes
    or enhancements, the up-to-date build is not copied automatically,
    which
    can be misleading.

    Improve on the situation by forcing the "install" project to
    trigger its
    rebuild, so that the updated binaries can be copied.  This does
    trigger an
    MSBuild warning, but having that warning is way better than not
    having an
    up-to-date build, especially during testing and development.

 build/win32/vs10/glib-install.props | 40
 +++++++++++++++++++++++++++----------
 build/win32/vs10/install.vcxproj    | 28 +++++++++++++++-----------
 2 files changed, 46 insertions(+), 22 deletions(-)

commit 39d70301c58b0e79f90fc2729eecc10ba5c3caf9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jun 6 19:04:12 2014 -0500

    trivial: docs: add some missing commas

 docs/reference/gobject/gobject-docs.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2f66bfe45f41d18e7437341e5ebf4c70d815958
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jun 6 16:42:23 2014 -0400

    docs: warn about installing properties after init

    Leave ourselves a little wiggle room: if people install properties
    after
    initialisation then we reserve the right to handle that in a way that
    may not be threadsafe.

    https://bugzilla.gnome.org/show_bug.cgi?id=698614

 gobject/gobject.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 85e9455f68c6cc6093a1ede1c5f15587bba08b51
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jun 6 16:40:15 2014 -0400

    Revert "GObject: prevent installing properties after init"

    This reverts commit ddb0ce14215cd62c7a2497d6cf9f2ea63c40ebb5.

    Conflicts:
	gobject/gobject.c

    https://bugzilla.gnome.org/show_bug.cgi?id=698614

 gobject/gobject.c	 |  6 ------
 gobject/gtype-private.h |  1 -
 gobject/gtype.c	 | 10 ----------
 3 files changed, 17 deletions(-)

commit 256305dea5ce0a7c4512b4842b0703c025853e1c
Author: Tim-Philipp Müller <tim@centricular.com>
Date:	Sat May 31 14:54:08 2014 +0100

    gthread: use inline keyword for _get_impl() functions

    Give compiler a hint that these should be inlined,
    which doesn't seem to happen by default with -O2.
    Yields 5% speedup in artificial benchmarks, and
    1% speedup in a real-world test case doing a lot
    of mutex locking and unlocking.

    https://bugzilla.gnome.org/show_bug.cgi?id=730807

 glib/gthread-posix.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit db0e43d25a5316f3a6f2f31712a0b8359e247a20
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Tue May 27 15:28:08 2014 +0200

    gatomic: use GCC C11-style atomics, if available

    GCC does not yet support ISO C11 atomic operations, but it has
    compatible versions available as an extension.  Use these for load and
    store if they are available in order to avoid emitting a hard fence
    instruction (since in many cases, we do not need it -- on x86, for
    example).

    For now we use the fully seqentially-consistent memory model, since
    these APIs are documented rather explicitly: "This call acts as a full
    compiler and hardware memory barrier".

    In the future we can consider introducing new APIs for the more
    relaxed
    memory models, if they are available (or fall back to stricter ones
    otherwise).

    https://bugzilla.gnome.org/show_bug.cgi?id=730807

 glib/gatomic.h | 77
 ++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 64 insertions(+), 13 deletions(-)

commit 875eeb2ca1d32fc0fdd70518f7d6f4dc8de1a287
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Tue May 27 15:27:54 2014 +0200

    gatomic: whitespace fixes

    https://bugzilla.gnome.org/show_bug.cgi?id=730807

 glib/gatomic.h | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit aa0e8735c14ebb3cbfa38d441a6a05bb978e23b2
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Tue May 27 15:25:37 2014 +0200

    gatomic: fix typo in deprecation attribute

    https://bugzilla.gnome.org/show_bug.cgi?id=730807

 glib/gatomic.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d558e87c65517e3646f3b8ebc8f11448e25ccbf2
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Fri Jun 6 10:45:51 2014 -0400

    gtype: guard uses of new fundamental type check

    g_type_is_fundamentally_a (see bug 730984) is a new API/ABI and is
    marked with a version macro.  We should therefore avoid its
    unconditional use from G_IS_OBJECT() and G_IS_PARAM_SPEC() which are
    APIs that have been around for a long time.

    This prevents deprecation warnings from being emitted when these
    functions are used with an older GLIB_VERSION_MAX_ALLOWED and also
    prevents linking to the new ABI in that case (so that it's possible to
    use the resulting binary with an older version of GLib).

    https://bugzilla.gnome.org/show_bug.cgi?id=731335

 gobject/gobject.h | 4 ++++
 gobject/gparam.h  | 4 ++++
 2 files changed, 8 insertions(+)

commit 0208861a13afc30964fb4f409525fa1cdb544cf4
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Fri Jun 6 10:25:16 2014 -0400

    test: add test for explicit-notify properties

    https://bugzilla.gnome.org/show_bug.cgi?id=731200

 gobject/tests/properties.c | 62
 ++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 60 insertions(+), 2 deletions(-)

commit bbdb2345fc7e5a57cb7af90ab0bf8ced437ada24
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Wed Jun 4 08:59:50 2014 -0400

    gobject: add 'explicit notify' GParamSpec flag

    Add a flag to prevent the automatic emission of the "notify" signal
    during g_object_set_property().

    If this flag is set then the class must explicitly emit the notify
    for themselves.  This is already standard practice on most classes,
    but
    we cannot simply remove the existing behaviour because there are
    surely
    many cases where it is needed.

    https://bugzilla.gnome.org/show_bug.cgi?id=731200

 gobject/gobject.c | 13 ++++++++-----
 gobject/gparam.h  |  5 +++++
 2 files changed, 13 insertions(+), 5 deletions(-)

commit dc496ac7644d11e47b626a879b12813b31ef83b7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jun 5 08:04:19 2014 -0400

    Add a test for GMenuAttributeIter

 gio/tests/gmenumodel.c | 62
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

commit c4fc3aa5258bee806d19fa587355f0daa093e097
Author: David King <amigadave@amigadave.com>
Date:	Fri May 16 12:32:49 2014 +0100

    valgrind.h: Update to latest upstream version

    Avoid crashes in g_type_free_instance() on mingw64.

    https://bugzilla.gnome.org/show_bug.cgi?id=730198

 glib/valgrind.h | 2142
 +++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 1623 insertions(+), 519 deletions(-)

commit 6eb55b9a33b3b025859e1a08e11c89719d542d41
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:	Tue Jun 3 15:50:37 2014 +0800

    Support Building Using Visual Studio 2013

    Like the Visual Studio 2012 project files, the Visual Studio 2013
    files are
    largely the same as the Visual Studio 2010 project files, so support
    Visual Studio 2013 by updating the autotools scripts that is used for
    Visual Studio 2012.  This means that project files for Visual
    Studio 2012
    and Visual Studio 2013 can be maintained by simply maintaining
    the Visual
    Studio 2010 project files, adding minimal maintenance overhead.

 build/Makefile-newvs.am      | 14 +++++++-------
 build/win32/Makefile.am      |  3 ++-
 build/win32/vs11/Makefile.am |  4 ++++
 build/win32/vs12/.gitignore  | 31 +++++++++++++++++++++++++++++
 build/win32/vs12/Makefile.am | 46
 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac		      |  1 +
 6 files changed, 91 insertions(+), 8 deletions(-)

commit 90671cd3cd0a98e8f706acf6e72d037aba1892e5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jun 1 09:38:49 2014 -0400

    docs: Add missing language annotations

 gio/gdbusauthobserver.c | 2 +-
 glib/ghash.c		 | 2 +-
 glib/gvariant.c	 | 6 +++---
 3 files changed, 5 insertions(+), 5 deletions(-)

commit adfaf0e456eceaf531d12d667afef8fce85103c1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 20:55:00 2014 -0400

    docs: GType documentation cleanup

    Still some markup left.

 gobject/gtype.c |   3 +-
 gobject/gtype.h | 325
 +++++++++++++++++++++++++++-----------------------------
 2 files changed, 160 insertions(+), 168 deletions(-)

commit 24ab95582b03ec947fc512cb85545fe87026baf1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	Sat May 31 19:21:23 2014 +0100

    docs: Replace <function> XML tag with back ticks

    https://bugzilla.gnome.org/show_bug.cgi?id=731050

 gobject/gtype.h       | 3 +--
 gobject/gtypemodule.h | 6 +++---
 2 files changed, 4 insertions(+), 5 deletions(-)

commit a0c3fdfae0af260bd90adbb4f784afc21dbb9b24
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	Sat May 31 19:20:03 2014 +0100

    docs: Replace <structname> tags with back ticks

    https://bugzilla.gnome.org/show_bug.cgi?id=731050

 glib/gbookmarkfile.h |  2 +-
 glib/gdatetime.h     |  2 +-
 glib/gerror.h	      |  4 ++--
 glib/gmain.h	      | 10 +++++-----
 glib/goption.h       |  6 +++---
 5 files changed, 12 insertions(+), 12 deletions(-)

commit 903a5d711e7337f4803f42815fe996061bd2a8eb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 11:32:55 2014 -0400

    docs: Add an index for 2.40 api

 docs/reference/gobject/gobject-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit ab18d71e6f7a281687dd39b2616ae3a41fdaaf29
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 09:04:11 2014 -0400

    Minor documentation additions and corrections

    Going for 100%.

 glib/deprecated/gthread-deprecated.c |  2 ++
 glib/docs.c			      |  8 +++++-
 glib/gconvert.h		      |  7 +++---
 glib/giochannel.c		      |  7 +-----
 glib/gmessages.c		      |  7 ++++++
 glib/gpoll.h			      |  8 ++++++
 glib/gregex.h			      | 13 +++++++---
 glib/gscanner.c		      |  8 ++++++
 glib/gvariant-parser.c		      |  2 ++
 glib/gversion.c		      | 47
 ++++++++++++++++++++++++++++++++++++
 gobject/gvalue.c		      | 11 +++++----
 11 files changed, 101 insertions(+), 19 deletions(-)

commit f38b438c965a8cfc84bc62086f0cec6637aa6f1f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 10:38:47 2014 -0400

    docs: Fill in the gspawn long description

 glib/gspawn.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 06b7786f31a6038e78bcc99c88c076e8f9ff07f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 10:18:07 2014 -0400

    docs: Fill in gshell long description

 glib/gshell.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit ad5b4bf92e9a2afdea8d817e0d799c4c1ba0d4f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 09:02:27 2014 -0400

    Document g_signal_handlers_destroy

 gobject/gsignal.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a4847190332ec2e9b749e68c5153de9e972d8b4d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 08:55:21 2014 -0400

    docs: Fix up varargs documentation

    gtk-doc expects varargs to be documented in a specific way,
    otherwise it complains.

 gio/gsubprocess.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit abd4df4b55fc447cad9a9d907c61d6254dc1fba1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 08:54:52 2014 -0400

    docs: Add some missing apis

 docs/reference/gio/gio-sections.txt | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 5b0183fd23dd58cd995df0b41f9f3eb4432d7f34
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat May 31 08:54:16 2014 -0400

    docs: Add a 2.42 api index

 docs/reference/gio/gio-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit f8595a490f15c702578dc6c08bc182806e02681b
Author: Edward Hervey <bilboed@bilboed.com>
Date:	Fri May 30 12:25:27 2014 +0200

    GParamSpec: Use new fundamental instance check

    https://bugzilla.gnome.org/show_bug.cgi?id=730984

 gobject/gparam.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit faceb8960bf5a623a1af4ac876c964daa8fbab42
Author: Edward Hervey <edward@collabora.com>
Date:	Wed May 28 10:59:14 2014 +0200

    gobject: Use fast fundamental instance type check

    Speeds up g_object_ref/_unref by 50%-65% (i.e. takes 60-65% of
    the time
    it used to take).

    https://bugzilla.gnome.org/show_bug.cgi?id=730984

 gobject/gobject.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6072e3650fba8ff57b5c3f135f81488c83f27f0b
Author: Edward Hervey <edward@collabora.com>
Date:	Wed May 28 10:57:28 2014 +0200

    gtype: Add check for fundamental instance type

    When checking whether an instance is of a given fundamental type (such
    as G_TYPE_OBJECT), we can avoid over 60%+ of the cost of checking
    types.

    https://bugzilla.gnome.org/show_bug.cgi?id=730984

 docs/reference/gobject/gobject-sections.txt |	2 ++
 gobject/gtype.c			     |	9 +++++++++
 gobject/gtype.h			     | 16 ++++++++++++++++
 3 files changed, 27 insertions(+)

commit 03a48e1adea2862635c439f8270a5cc2d969289a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri May 30 10:21:43 2014 -0400

    Fix the closure test in continuous

    This test has the same problem as the mapping-test - it uses
    SIGUSR1 without checking the signal mask. Apply the same fix
    here.

 gobject/tests/closure.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 367dbdce367fd504804a1256dc393534d6784bfc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri May 30 10:18:36 2014 -0400

    Fix the mapping test in continuous

    It turns out that due to a recent gdm change, the inherited
    signal mask has SIGUSR1 blocked - which is bad news for
    tests using SIGUSR1. Fix the test by explicitly checking the
    signal mask before using SIGUSR1.

 tests/mapping-test.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 79f930f6dc23c05fef7fdcaaeed0df230698453e
Author: Thiago Santos <ts.santos@sisa.samsung.com>
Date:	Thu May 29 19:13:37 2014 -0300

    gconvert: mention that the g_convert len should be in bytes

    Some charsets have each char with more than one byte, make it
    clear that
    the length should be in bytes

    https://bugzilla.gnome.org/show_bug.cgi?id=730963

 glib/gconvert.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1e28df02642237f776f9b4f42bffd8de675af754
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed May 28 06:14:56 2014 -0400

    Add more debug spew to the mapping-test

 tests/mapping-test.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit fd9120dc505773faf3ace728c8ad8c503824ee9f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue May 27 15:50:00 2014 +0100

    gvariant: Clarify type and format strings in the docs

    '@' and '&' are only used in format strings as prefixes to type
    strings and not to full format strings.

    https://bugzilla.gnome.org/show_bug.cgi?id=729269

 docs/reference/glib/gvariant-varargs.xml | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit de1c0722b92d101171f7c2ce7eb199727528dff1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue May 27 22:13:33 2014 -0400

    mapping-test: Add debug spew

    This might help figuring out why the test is failing in continuous.

 tests/mapping-test.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 84fd73b2fa098ff63656e7cbe1ef211f948123c2
Author: Dan Winship <danw@gnome.org>
Date:	Tue May 27 09:39:46 2014 -0400

    gio/tests/network-address: fix when no network is available

    GResolver doesn't do full validation of its inputs, so in some of
    these tests, the fact that we were getting back
    G_RESOLVER_ERROR_NOT_FOUND is because the junk string was getting
    passed to an upstream DNS resolver, which returned NXDOMAIN. But if
    there's no network on the machine then we'd get
    G_RESOLVER_ERROR_INTERNAL instead in that case.

 gio/tests/network-address.c | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit e93f7be60d6a45ca5ca76fd033be887f10e886a4
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Mon May 26 17:34:48 2014 +0200

    GLib 2.41.0

 NEWS | 83
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 83 insertions(+)

commit 6f7dc3a44f966e69a7495cd5af5017ec02b3938c
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Mon May 26 23:01:25 2014 +0200

    gio tests: rm xdgconfighome on 'make clean'

 gio/tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61a9142cd0936bd67dcb88db5591e1190caf3188
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Mon May 26 17:33:57 2014 +0200

    Revert "gvariant: Fix confusion between type and format strings in
    the docs"

    This reverts commit fca1b83be74c9840037cfee84015fd8460cc33f9.

    The original documentation was correct.

    https://bugzilla.gnome.org/show_bug.cgi?id=729269

 docs/reference/glib/gvariant-varargs.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d3fd88ddd54dd533b09e8782a8ffc0dc9f6f0571
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri May 16 23:08:10 2014 +0100

    gtestutils: Error out if /dev/null stdin redirection fails

    https://bugzilla.gnome.org/show_bug.cgi?id=730189

 glib/gtestutils.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 570b27b9acbf6e6f31ab0f9a31a4cce60f4d228a
Author: Evan Nemerson <evan@nemerson.com>
Date:	Wed May 21 00:27:36 2014 -0700

    gio: port annotations from the Vala metadata.

    https://bugzilla.gnome.org/show_bug.cgi?id=730493

 gio/gaction.c			|  2 +-
 gio/gactiongroup.c		|  9 ++++----
 gio/gapplicationcommandline.c	|  2 +-
 gio/gcancellable.c		|  4 ++--
 gio/gcontenttype.c		|  6 +++---
 gio/gdatainputstream.c		| 49
 +++++++++++++++++++++---------------------
 gio/gdbusmessage.c		|  3 ++-
 gio/gdbusobjectmanagerclient.c |  4 ++--
 gio/gfile.c			| 24 ++++++++++-----------
 gio/gfileenumerator.c		|  5 +++--
 gio/gfileinfo.c		|  6 +++---
 gio/gicon.c			|  4 ++--
 gio/gloadableicon.c		| 13 +++++------
 gio/gpollableinputstream.c	|  4 ++--
 gio/gpollableutils.c		|  3 ++-
 gio/gsettingsschema.c		|  2 +-
 gio/gtlsclientconnection.c	|  2 +-
 gio/gtlsdatabase.c		|  4 +++-
 gio/gvolume.c			|  4 ++--
 19 files changed, 79 insertions(+), 71 deletions(-)

commit e3db9632e7e8a1e4177f503aa9ffa184a991e8a4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:	Fri May 23 10:14:16 2014 +0800

    config.h.win32.in: Define _WIN32_WINNT Conditionally

    This is done so that _WIN32_WINNT may be overridden in the project
    files,
    if needed, so that one can access the Vista+ (or so) Windows APIs
    easier
    by using "preprocessor defines" (or so) in the Visual C++ project
    files.

 config.h.win32.in | 2 ++
 1 file changed, 2 insertions(+)

commit 922dd548d5697556b76f720c985728d110ac6b9d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu May 22 17:22:56 2014 -0400

    Try to fix mapping-test

    The mapping-test is failing under gnome-continuous. I suspect this
    is simply due to running many tests in parallel, and mapping-test
    being racy. Replace the blind sleep by signals, to avoid the
    races.

 tests/mapping-test.c | 46 +++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 39 insertions(+), 7 deletions(-)

commit 2a27b7252243b0eaceeb9fbc6ecba1b3a3b36905
Author: Murray Cumming <murrayc@murrayc.com>
Date:	Tue Apr 29 13:21:41 2014 +0200

    GDBusError enum: Remove trailing comma.

    This is helpful to people using the g++ --pedantic option.

 gio/gioenums.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a8c2685be3992d0aac0c54d12a3fb31dd198624
Author: Marek Kasik <mkasik@redhat.com>
Date:	Thu May 22 11:00:14 2014 +0200

    gobject: unref unused class

